<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
LogStats Members
LogStats Class Methods Properties See Also Send Feedback

The LogStats type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| BufferSize | Log buffer size.
| Bytes | Bytes to log.
| BytesSinceCheckpoint | Bytes to log since checkpoint.
| CurrentFile | Current log file number.
| CurrentOffset | Current log file offset.
| DiskFileNumber | Known on disk log file number.
| DiskOffset | Known on disk log file offset.
| FileId | Current fileids in use.
| FileSize | Log file size.
| InitFileId | Initial fileid allocation.
| MagicNumber | Log file magic number.
| MaxCommitsPerFlush | Max number of commits in a flush.
| MaxFileId | Maximum fileids used.
| MBytes | Megabytes to log.
| MBytesSinceCheckpoint | Megabytes to log since checkpoint.
| MinCommitsPerFlush | Min number of commits in a flush.
| OverflowWrites | Overflow writes to the log.
| PermissionsMode | Log file permissions mode.
| Reads | Total I/O reads from the log.
| Records | Records entered into the log.
| RegionLockNoWait | Region lock granted without wait.
| RegionLockWait | Region lock granted after wait.
| RegionSize | Region size.
| Syncs | Total syncs to the log.
| Version | Log file version number.
| Writes | Total I/O writes to the log.

# See Also

LogStats Class
BerkeleyDB Namespace